package com.dgtly.system.mapper;

import com.dgtly.system.domain.AlertLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 弹框日志Mapper接口
 * 
 * @author chenyn
 * @date 2023-06-13
 */
public interface AlertLogMapper 
{
    /**
     * 查询弹框日志
     * 
     * @param alertLogId 弹框日志ID
     * @return 弹框日志
     */
    public AlertLog selectAlertLogById(Long alertLogId);

    public AlertLog selectAlertLogByUserId(Long userId);


    /**
     * 查询弹框日志列表
     * 
     * @param alertLog 弹框日志
     * @return 弹框日志集合
     */
    public List<AlertLog> selectAlertLogList(AlertLog alertLog);

    /**
     * 新增弹框日志
     * 
     * @param alertLog 弹框日志
     * @return 结果
     */
    public int insertAlertLog(AlertLog alertLog);

    /**
     * 修改弹框日志
     * 
     * @param alertLog 弹框日志
     * @return 结果
     */
    public int updateAlertLog(AlertLog alertLog);

    /**
     * 删除弹框日志
     * 
     * @param alertLogId 弹框日志ID
     * @return 结果
     */
    public int deleteAlertLogById(Long alertLogId);

    /**
     * 批量删除弹框日志
     * 
     * @param alertLogIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteAlertLogByIds(@Param("alertLogIds") String[] alertLogIds);

    AlertLog selectAlertLogByUserIdAndAlertId(@Param("userId") Long userId,@Param("alertId") Long alertId,@Param("isCacheType") String isCacheType,@Param("userType") String userType);
}
